
#include "V3.h"
#include "M33.h"

using namespace std;

#include <ostream>

V3::V3(float x, float y, float z) {

	xyz[0] = x;
	xyz[1] = y;
	xyz[2] = z;

}

float& V3::operator[](int i) {

	return xyz[i];

}

V3 V3::operator+(V3 op1) {

	V3 ret;
	V3 &op0 = (*this);
	ret[0] = op0[0] + op1[0];
	ret[1] = op0[1] + op1[1];
	ret[2] = op0[2] + op1[2];
	return ret;

}
