#pragma once

#include <FL/Fl.H>
#include <FL/Fl_Gl_Window.H>
#include <GL/glut.h>

#include "V3.h"

class PPC;

class FrameBuffer : public Fl_Gl_Window {
public:
	unsigned int *pix; // pixel array // 0xAABBGGRR; // red 0xFF0000FF
	int w, h;
	FrameBuffer(int u0, int v0, int _w, int _h);
	void draw();
	void KeyboardHandle();
	int handle(int guievent);
	void SetBGR(unsigned int bgr);
	void Set(int u, int v, unsigned int col);
	void SetAsChecker(unsigned int col0, unsigned int col1, int csize);
	void LoadTiff(char* fname);
	void SaveAsTiff(char* fname);
};